Skip to content

DigiLocker

| View as Markdown

This api is used to fetch the aadhaar and pancard details from DigiLocker. We have to pass mobile number and stage in request.If the request have valid data we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/DigiLocker
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; (required) sha256(<concate all values+SECRET KEY>); (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
mobile_noTextmobile number (length 10,required)
stageTextstage (authorization/xml)(required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/DigiLocker' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
// --header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'mobile_no=9XXXXXX110' \
--data-urlencode 'stage=authorization' \
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/DigiLocker' \
--header "AIRPAYKEY: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
--header "AFFILIATE: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
--header "CHECKSUM: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
--header "APIKEY: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps"
--header "Content-Type: application/x-www-form-urlencoded"
--data-urlencode "mobile_no=9XXXXXX110"
--data-urlencode "stage=xml"
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText{ “url”:“https://example.arpy.co.in/digiresponse.php?access_code=Ulg7XW9nREJFUlxgy2ZQZ1BPYn2uO3pfR116Y0dmQHlZZztFaTlxkXGFYYjZ11XWFbclhhP09”, }
{
"status": 200,
"message": "success",
"data": {
"url": "https://baas.airpay.co.in/digiresponse.php?access_code=Ulg7XW9nREJFUlxgy2ZQZ1BPYn2uO3pfR116Y0dmQHlZZztFaTlxkXGFYYjZ11XWFbclhhP09ZYURaWE9AT35cRGtvZ1hCWGBIa1xOSzteZlhERF87PFlSekRYT2Y+"
}
}
{
"status": "400",
"message": "Failed",
"data": ""
}